Skip to content
A Homebrew package to write missing CocoaPod versions to the Podfile from the Podfile.lock
Python
Branch: master
Clone or download

Latest commit

Fetching latest commit…
Cannot retrieve the latest commit at this time.

Files

Permalink
Type Name Latest commit message Commit time
Failed to load latest commit information.
.gitignore
LICENSE
README.md
cocoapod-matcher

README.md

CocoaPod Matcher

🤔 About

CocoaPod Matcher is a Homebrew package to assign missing version numbers to dependencies listed in a Podfile. It does so by scanning the Podfile.lock and assigning the installed version numbers back to the Podfile.

➡️💻 Installation

Installation is as simple as it always is with Homebrew packages. First just add the new tap

brew tap mapierce/homebrew-taps

And the install the package with

brew install cocoapod-matcher

And you’re good to go!

👩‍💻 How to use

As you would expect, you need a Podfile, and a Podfile.lock in the directory you run from, otherwise you’ll see the error:

A Podfile and/or a Podfile.lock were not found in the current directory

Once you do run from a suitable directory, your Podfile will automatically update.

👨‍👩‍👧‍👦 Contributing

If you run into any problems, please submit an issue. Pull requests are also welcome! By contributing to CocoaPod-Matcher you agree that your contributions will be licensed under its MIT license.

If CocoaPod-Matcher helps you out, I’d love to hear from you on Twitter !

🙋‍♂️ Author

CocoaPod-Matcher was created by Matthew Pierce ( @PierceMatthew )

🔖 License

CocoaPod-Matcher is available under the MIT license. See the LICENSE file for more info.

You can’t perform that action at this time.